LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XTheme Interface Reference

Theme interface. More...

`import <XTheme.idl;`

## Public Member Functions
string | getName ()
| Get the name of the theme.
sequence< com::sun::star::util::Color > | getColorSet ()
| Get the color set defined for the theme.

## Detailed Description

Theme interface.

Since
  LibreOffice 7.6

## Member Function Documentation

## ◆ getColorSet()

sequence< com::sun::star::util::Color > getColorSet | ( |  | ) |

Get the color set defined for the theme.

The color set is a sequence of 12 colors: Dark 1, Light 1, Dark 2, Light 2, Accent 1, Accent 2, Accent 3, Accent 4, Accent 5, Accent6, Hyperlink, FollowedHyperlink

## ◆ getName()

string getName | ( |  | ) |

Get the name of the theme.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XTheme.idl